Page MenuHomeFreeBSD

nvdimm: initialize SPA uuids statically
ClosedPublic

Authored by scottph on Jan 3 2019, 8:08 PM.

Details

Summary

The SPA ids are published numbers, so it's safe (if not a bit
annoying) to copy them into a source file.

Submitted by: D Scott Phillips <d.scott.phillips@intel.com>
Sponsored by: Intel Corporation

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

scottph created this revision.Jan 3 2019, 8:08 PM
kib accepted this revision.Jan 15 2019, 5:59 AM

Main reason why I did the initialization that way was to reuse Intel-provided definitions for GUIDs from ACPICA.

This revision is now accepted and ready to land.Jan 15 2019, 5:59 AM
scottph edited the summary of this revision. (Show Details)Jan 17 2019, 6:27 PM
scottph updated this revision to Diff 52938.

Add Intel copyright, add commit message tags.

This revision now requires review to proceed.Jan 17 2019, 6:27 PM
kib accepted this revision.Jan 18 2019, 10:50 AM
This revision is now accepted and ready to land.Jan 18 2019, 10:50 AM
This revision was automatically updated to reflect the committed changes.